commit bbccd7ec71e131379e24bf1e95f936f79dbad54f
Author: freddy77 <freddy77>
Date:   Fri Dec 4 10:35:06 2009 +0000

    check buffer unchanged if overflow detected

diff --git a/ChangeLog b/ChangeLog
index 3290f74..42e3985 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Dec  4 11:34:10 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/getdata.c:
+	- check buffer unchanged if overflow detected
+
 Wed Dec  2 17:56:52 EST 2009	JK Lowden <jklowden@freetds.org>
 	* src/dblib/dblib.c src/odbc/prepare_query.c src/tds/login.c
 	- warning & uninitialized variable cleanup
@@ -1950,4 +1954,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2897 2009/12/02 22:58:21 jklowden Exp $
+$Id: ChangeLog,v 1.2898 2009/12/04 10:35:06 freddy77 Exp $
diff --git a/src/odbc/unittests/getdata.c b/src/odbc/unittests/getdata.c
index 8a02da3..0617b13 100644
--- a/src/odbc/unittests/getdata.c
+++ b/src/odbc/unittests/getdata.c
@@ -1,7 +1,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: getdata.c,v 1.12 2009/11/29 20:16:36 freddy77 Exp $";
+static char software_version[] = "$Id: getdata.c,v 1.13 2009/12/04 10:35:06 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static char odbc_err[256];
@@ -172,7 +172,13 @@ main(int argc, char *argv[])
 	CHKFetch("S");
 
 	/* error 22003 */
+	memset(buf, 'x', sizeof(buf));
 	CHKGetData(1, SQL_C_CHAR, buf, 4, NULL, "E");
+	buf[4] = 0;
+	if (strcmp(buf, "xxxx") != 0) {
+		fprintf(stderr, "Wrong buffer result buf = %s\n", buf);
+		exit(1);
+	}
 	ReadError();
 	if (strcmp(odbc_sqlstate, "22003") != 0) {
 		fprintf(stderr, "Unexpected sql state %s returned\n", odbc_sqlstate);

